package model;

import java.io.DataInputStream;

public class LoadBinaryV1 implements Operation {
	private DataInputStream s;
	public LoadBinaryV1(DataInputStream s) {
		this.s = s;
	}
	public void doItOn(ToDoList l) throws Exception {
		int n = s.readInt();
		for(int i = 0; i < n; i++) {
			ToDo t = new ToDo();
			doItOn(t);
			l.add(t);
		}
	}
	public void doItOn(ToDo t) throws Exception {
		t.name(s.readUTF());
		t.setDone(s.readBoolean());
		Date d = new Date();
		doItOn(d);
		t.dueDate(d);
	}
	public void doItOn(Date d) throws Exception {
		d.year(s.readInt());
		d.month(s.readByte());
		d.day(s.readByte());
	}
}
